/*********************
 * Created 08/04/07
 *********************/
#include <stdio.h>
#include <cgi.h>
#include <array.h>
#include <control.h>

#ifndef _COMPENSATE_H_
#define _COMPENSATE_H_

enum plotType {
  PT_RLOCUS, 
  PT_STEP, 
  PT_RAMP, 
  PT_PARABOLIC};

  class CResponse Response;
  class CRequest Request;
  class CServer Server;
  array int nvar[1:8];
  char Dtype[12];
  string_t contenttype = "text/html",
           title = "Web-Based Compensator Design via Root Lous";
  char *modelID[2] = {"sysModel", "sys1Model"};
  char *mID[2][8] = {"Arow", "Acol", 
                     "Brow", "Bcol",
                     "Crow", "Ccol",
                     "Drow", "Dcol",
                     "A1row","A1col",
                     "B1row","B1col",
                     "C1row","C1col",
                     "D1row","D1col"};
  char *ndID[2][2] = {"numDim", "denDim", 
                      "num1Dim","den1Dim"};
  char *zpID[2][2] = {"zeroDim", "poleDim", 
                      "zero1Dim", "pole1Dim"};
  int IDidx=0;
  char matrixMIMO[5] = {'O', 'O', 'O', 'O', 'N'};
  /***************************************************************************  
   * matrixMIMO is used for error check when the user defines a new system 
   * dimension.
   * Each element in matrixMIMO array stands for matrix A, B, C, D and MIMO.
   * For ABCD,
   * 'Y' means this matrix is required in this function.
   * 'N' means this matrix is not needed in this function.
   * 'O' means this matrix is optional. A user may or may not have defined it.
   * For MIMO,
   * 'Y' means this function supports MIMO, 
   * 'N' means this function does not support MIMO.
   ***************************************************************************/

#endif
